i have several kind of color of in a autocad drawing.. but i want to print in black and white... what is the best way do it instead of changing all the color in white??
may i know.. what is the "stars" for?? the more stats mean what???
actually..i put the code in the wrong place...
i should do like this
Private Sub MDIForm_QueryUnload(Cancel As Integer, UnloadMode As Integer)
If FileHasChanged = True Then
Style = vbYesNoCancel + vbQuestion
Response...
i change it to this...but it doesn't work too....
Private Sub MDIForm_QueryUnload(Cancel As Integer, UnloadMode As Integer)
mnuExit_Click
End Sub
coz when i press the "cancel" from either msgbox.. or the save dialog.... the program will invisible...
plz help...:(
i have this in the form too..
Private Sub MDIForm1_Unload(Cancel As Integer)
mnuExit_Click
End Sub
this link the "x-button" to the mnuExit_Click...
i have a question regarding visual basic close program porblem....
i have this code in the mnu...
a msg will be asked if any changed in file... but how do i link this to the left hand window corner "X- button"...so that, a msg will be asked too when i close the program from the...
wooh.. you are the expert in this..
i should come here earlier ask my questions....i really spend a lot of time to look for the answers....
anyway.. thank a lot!!!
it doesn't work too...:(
cadApp As AcadApplication.... coz undefined on the statement....??
besides, how to i add the AutoCAD Object Library to my project references??
sorry to ask so many questions to you...:(
but what is the 'Open a new drawing" code??
coz i have tried the code that you corrected... but i still the same.. i can open a new AutoCAD file...:((
sorry.. i didn't make it clear that what i want...
i'm trying to change the code to.. when it detect the AutoCAD program is opened.. then it will open another AutoCAD blank file...
for example...
case1.) an AutoCAD file has already opened... so when i run the sub... it will open another AutoCAD...
below is the sub to open AutoCAD program... but how do i change it to.. when i had open a AutoCAD file... then.. it will on automatically open another blank AutoCAD new file??
Public Sub OpenAutoCAD()
Dim DwgName As String
On Error Resume Next
Set acadApp = GetObject(...
But this is only work in AutoCAD API...
i tried to use the same code in visual basic.. but it doesn't work.... it can't load the linetype...:(
besides,, what about the ZoomALL command?? coz i doesn't define in visual basic..
hey.. i have a question regarding the code below..
i can draw the line in ACAD_ISO02W100...??
can someone correct for me??
Set acadApp = GetObject(, "autoCAD.application")
Set acadDoc = acadApp.activedocument
Set modelspace = acadDoc.modelspace
Dim PLine2Obj As...